local colorToUse = cBlue
return Def.ActorFrame {
	LoadActor( THEME:GetPathS("", "_cancel") ) .. {
		StartTransitioningCommand=cmd(play);
	};
	Def.ActorFrame {
	 InitCommand=cmd(Center);
		-- BG Killer
		Def.Quad {
			InitCommand=cmd(vertalign,bottom;y,(-110/2)+8;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT);
			OnCommand=cmd(diffuse,DarkColor(colorToUse);diffusetopedge,DarkColor(DarkColor(colorToUse));accelerate,0.5;addy,-SCREEN_CENTER_Y);
		};
		Def.Quad {
			InitCommand=cmd(vertalign,top;y,(110/2)+8;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT);
			OnCommand=cmd(diffuse,DarkColor(colorToUse);diffusebottomedge,DarkColor(DarkColor(colorToUse));accelerate,0.5;addy,SCREEN_CENTER_Y);
		};
		-- Inside BG Killer
		Def.Quad {
			InitCommand=cmd(zoomto,SCREEN_WIDTH,(220/2);y,8);
			OnCommand=cmd(diffuse,0,0,0,1;linear,0.3;diffusealpha,0);
		};
		-- Swipes
		LoadActor( THEME:GetPathG("_logo", "normal/under") ) .. {
			InitCommand=cmd(diffuse,colorToUse;zoomtowidth,SCREEN_WIDTH);
			OnCommand=cmd(diffuse,colorToUse;accelerate,0.5;zoomtoheight,220+(196*2);diffusealpha,0);
		};
		LoadActor( THEME:GetPathG("_dynamic","footer/seperator") ) .. {
			InitCommand=cmd(zoomtowidth,SCREEN_WIDTH;y,(-110/2)+8);
			OnCommand=cmd(accelerate,0.5;addy,-SCREEN_CENTER_Y);
		};
		LoadActor( THEME:GetPathG("_dynamic","footer/seperator") ) .. {
			InitCommand=cmd(zoomtowidth,SCREEN_WIDTH;y,(110/2)+8);
			OnCommand=cmd(accelerate,0.5;addy,SCREEN_CENTER_Y);
		};
		-- Text
		LoadFont("_regra black 50px") .. {
			Text="INPUT ACCEPTED";
			InitCommand=cmd(shadowlength,1;NoStroke;diffusebottomedge,0.8,0.8,0.8,1);
			OnCommand=cmd(zoom,0.75;sleep,0.25;spring,0.7;zoomy,0;diffuse,cOrange;diffusetopedge,LightColor(cOrange));
		};
		LoadFont("Common Normal") .. {
			Text="Moving On";
			InitCommand=cmd(y,25;shadowlength,1;NoStroke;diffusebottomedge,0.8,0.8,0.8,1);
			OnCommand=cmd(zoom,0.75;sleep,0.25;spring,0.7;zoomy,0;diffuse,cOrange;diffusetopedge,LightColor(cOrange));
		};
	};
};